/*** general start ***/
body,
html {
    margin: 0;
    padding: 0;
    position: relative;
    width: 100%;
    height: 100%;
}

body * {
    font-size: 0.24rem;
    font-family: DinPro, dinpro, PingFangSC-Regular, sans-serif;
}
.hidden {
    display: none !important;
}
.ft-sz-18px {
    font-size: 18px;
}
.bg-gray {
    background-color: #9a9a9a;
}
.yellow-txt {
    color: #ffde00;
}
.red-txt {
    color: #ff0000;
}
.dark-red-txt {
    color: #ad0101;
}
.green-txt {
    color: #008940;
}
.blue-txt {
    color: blue;
}

/*
::-webkit-scrollbar {
	width: 7px;
	height: 7px;
}

::-webkit-scrollbar-thumb {
	border-radius: 5px;
	background: #d0d0d0;
}

::-webkit-scrollbar-track {
	border-radius: 0;
	background: #fff;
}
*/
/*** general end ***/

#wrapper {
    max-width: 500px;
    min-height: 100%;
    margin: 0 auto;
    position: relative;
    background-image: url("../images/live/background_lobby.png");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center; 

}



#header {
    position: sticky;
    top: 0;
    z-index: 10;
    line-height: initial;
    /* background-color: #181a20; */
    background-color: unset;
}

#header .panel-v1 {
    padding: 0.2rem 0.15rem;
    /*	height: .9rem; */
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-size: 95% auto;
    /* background-image: url("../images/live/header_background.png"); */
}

#header .panel-v1 .logo {
    display: flex;
    align-items: center;
}

#header .panel-v1 .logo .img {
    display: block;
}

#header .panel-v1 .logo.v1 .img {
    width: 2.2rem;
}

#header .panel-v1 .logo.v2 .img {
    width: 2.4rem;
}

#header .panel-v1 .signup {
    padding: 0.1rem 0.25rem;
    background: linear-gradient(to right bottom, #54afbc, #288491);
    color: #fff;
    font-weight: 600;
    border-radius: 0.5rem;
    box-shadow: inset 0.01rem 0.02rem 0.03rem rgb(217, 217, 217, 0.5),
        0.01rem 0.02rem 0.01rem black;
    cursor: pointer;
    font-size: 0.22rem;
}

#header .panel-v1 .username {
    display: flex;
    align-items: center;
    color: #fff;
    padding: 0.15rem 0.35rem;
    border-image-source: url(../images/sty2_home/header_id_bg.png);
    border-image-slice: 30 fill;
    border-image-width: 1rem;
    border-image-repeat: repeat;
    cursor: pointer;
    font-size: 0.22rem;
}

#header .panel-v1 .username .grade-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 0.3rem;
    height: 0.3rem;
    color: white;
    border-radius: 999px;
    text-align: center;
    margin-right: 0.08rem;
    font-size: 0.2rem;
}

#header .panel-v1 .other-page-center {
    color: #fff;
    font-weight: 600;
    font-size: 0.3rem;
}

#header .panel-v1 .online .title {
    color: #d8d1a0;
    border: 1px solid #d8d1a0;
    font-weight: 600;
    padding: 0.02rem 0.1rem;
    letter-spacing: 0.05rem;
    text-align: center;
    font-size: 0.22rem;
}
#header .panel-v1 .online .number {
    color: #fff;
    margin-top: 0.05rem;
    font-size: 0.22rem;
}

/*not-login*/
#header .panel-v1 .not-filter {
    display: flex;
    flex: 1;
    justify-content: flex-end;
    align-items: center;
}

#header .panel-v1 .not-filter .filter-btn {
    margin-right: 0.2rem;
    cursor: pointer;
    background-color: #fcd535;
    color: #0b0e11;
    border-radius: 0.1rem;
    font-size: 0.28rem;
    padding: 0.1rem 0.3rem;
    font-weight: bold;
    letter-spacing: 2px;
    line-height: initial;
}

#header .panel-v1 .not-login .header-lang-select {
    height: auto;
    line-height: initial;
    padding: 0.1rem;
    font-size: 0.28rem;
    /*** for nice-select ***/
    padding-left: 0.2rem !important;
    padding-right: 0.4rem !important;
    background-color: #2b3139;
    border: 0;
}

#header .panel-v1 .not-login .header-lang-select:after {
    width: 0.12rem;
    height: 0.12rem;
    right: 0.15rem;
    margin-top: -0.08rem;
}

#header .panel-v1 .not-login .header-lang-select .current {
    font-size: 0.28rem;
    color: #f0b90b;
}

#header .panel-v1 .not-login .header-lang-select ul.list {
    max-height: 250px;
    font-size: 0.28rem;
    overflow: auto;
    background-color: #1e2329;
}

#header .panel-v1 .not-login .header-lang-select ul.list .option {
    font-size: 0.28rem;
    padding: 0.15rem;
    min-height: auto;
    line-height: initial;
    color: #eaecef;
}

#header
    .panel-v1
    .not-login
    .header-lang-select
    ul.list
    .option.selected.focus {
    background-color: #2b3139 !important;
    color: #f0b90b;
}

#header .panel-v1 .not-login .header-lang-select ul.list .option:hover {
    background-color: #2b3139 !important;
    color: #fff;
}

/*#header .panel-v1 .not-login .language{
	width: .4rem;
    height: .266rem;
	cursor: pointer;
	margin-right:.2rem;
	position: relative;
}

#header .panel-v1 .not-login .language .change-lang{
	position: absolute;
    top: 0px;
    left: -12px;
    background-color: #f9f9f9;
    color: #333;
    padding: 5px;
    border-width: 1px;
    border-style: solid;
    border-color: #e9e9e9;
    border-radius: 4px;
    display: none;
	z-index:100;
}

#header .panel-v1 .not-login .language:active .change-lang{
	display: block;
}

#header .panel-v1 .not-login .language .change-lang:hover{
    display: block;
}

#header .panel-v1 .not-login .language .change-lang .button{
	display: flex;
	padding: 5px;
	white-space: nowrap;
}

#header .panel-v1 .not-login .language .change-lang .button:hover{
	color: #0080FF;
}

#header .panel-v1 .not-login .language .change-lang .button .lang-img{
	margin-right:5px;
}

#header .panel-v1 .not-login .language .tw-img{
	width: .4rem;
    height: .266rem;
	display: inline-block;
	background-image: url(../images/lang_tw.png);
	background-repeat: no-repeat;
    background-size: cover;
}

#header .panel-v1 .not-login .language .cn-img{
	width: .4rem;
    height: .266rem;
	display: inline-block;
	background-image: url(../images/lang_cn.png);
	background-repeat: no-repeat;
    background-size: cover;
}

#header .panel-v1 .not-login .language .en-img{
	width: .4rem;
    height: .266rem;
	display: inline-block;
	background-image: url(../images/lang_en.png);
	background-repeat: no-repeat;
    background-size: cover;
}*/

/*is-login*/

#header .header-right .magnifier-icon {
    width: 30%;
    height: auto;
}

#header .panel-v1 .is-login {
    display: flex;
    flex: 1;
    justify-content: flex-end;
    align-items: center;
}

#header .panel-v1 .panel-user {
    text-align: end;
    /*display: flex;
    align-items: center;*/
    margin-right: 0.4rem;
}

#header .panel-v1 .panel-user .div-user {
    /*padding-right: 0.35rem;*/
    font-size: 0.27rem;
    /*margin-right: 0.2rem;*/
}

#header .panel-v1 .my-acc-user {
    color: #ffffff;
}

#header .panel-v1 .btn-points {
    position: relative;
    cursor: pointer;
    user-select: none;
}

#header .panel-v1 .btn-points .points {
    color: #fcd535;
    font-size: 0.28rem;
    position: relative;
    padding-right: 0.3rem;
}

#header .panel-v1 .btn-points .points::after {
    content: "";
    width: 0;
    height: 0;
    position: absolute;
    border-style: solid;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    border-width: 0.1rem 0.08rem 0 0.08rem;
    border-color: #fff transparent transparent transparent;
}

#header .panel-v1 .btn-points .points.on::after {
    transform: rotate(-180deg);
    -webkit-transform: rotate(-180deg);
}

/*points-list*/
#header .panel-v1 .btn-points .points-list {
    position: absolute;
    top: 0.5rem;
    right: -1.65rem;
    width: 4.5rem;
    /*height: 7.5rem;*/
    border-radius: 0.1rem;
    background-color: #49484b;
    font-size: 0.22rem;
    text-align: left;
    display: flex;
    flex-direction: column;
    display: none;
}

#header .panel-v1 .btn-points .points-list::before {
    content: "";
    border: solid;
    border-width: 0 0.1rem 0.2rem 0.1rem;
    border-color: transparent transparent #49484b transparent;
    position: absolute;
    top: -0.18rem;
    right: 1.625rem;
}

/*points-list*/
#header .panel-v1 .points-list .content {
    overflow-y: auto;
}

#header .panel-v1 .points-list .bottom {
    background-color: #272727;
    width: 100%;
    border-radius: 0 0 0.1rem 0.1rem;
}

#header .panel-v1 .points-list .content,
#header .panel-v1 .points-list .bottom {
    padding: 0.1rem 0.3rem;
}

#header .panel-v1 .points-list .content .div-v1,
#header .panel-v1 .points-list .bottom .div-v2 {
    display: flex;
    align-items: center;
    border-bottom: 0.02rem solid #59585b;
    white-space: nowrap;
}

#header .panel-v1 .points-list .content .div-v1:last-child,
#header .panel-v1 .points-list .bottom .div-v2:last-child,
#header .panel-v1 .points-list .bottom .div-v2:nth-last-child(2n) {
    border-bottom: 0px;
}

#header .panel-v1 .points-list .item {
    padding: 0.18rem 0;
    margin-right: 10px;
}

#header .panel-v1 .points-list .item:last-child {
    margin-right: 0;
}

#header .panel-v1 .points-list .list-txt {
    width: 30%;
}

#header .panel-v1 .points-list .list-line {
    border-right: 0.02rem solid #59585b;
}

#header .panel-v1 .points-list .bottom .btn-turn-back {
    background-color: #fcd535;
    border-radius: 2.5em;
    margin: 0.1rem 0;
    cursor: pointer;
    text-align: center;
    display: block;
    color: #0b0e11;
    padding: 0.15rem 0;
}

/*color*/
#header .panel-v1 .points-list .content .list-txt {
    color: #ffffff !important;
}

#header .panel-v1 .points-list .content .list-ponits {
    color: #5dc887;
}

#header .panel-v1 .points-list .content .list-ponits .warning-txt {
    color: red;
}

#header .panel-v1 .points-list .bottom .total {
    color: #ffba00;
}

#header .panel-v1 .logout-btn {
    cursor: pointer;
    background-color: #2b3139;
    color: #eaecef;
    border-radius: 0.1rem;
    font-size: 0.28rem;
    padding: 0.1rem 0.3rem;
    font-weight: bold;
    letter-spacing: 2px;
    line-height: initial;
}

/*header not styl_home*/
#header .panel-v1.bg-09414d {
    background: #09414d;
}

#header .panel-v1 .txt {
    flex: 1;
    text-align: center;
    color: #fff;
    font-weight: 500;
    font-size: 0.3rem;
}
#header .panel-v1 .btn-back {
    width: 0.3rem;
    margin-left: 0.2rem;
    /*    background: url(../images/sty1_home/btn_back.svg) no-repeat center;*/
    background-size: 100% auto;
    cursor: pointer;
}

#header .panel-v1 .btn-close {
    width: 0.4rem;
    height: 0.4rem;
    background: #318897;
    position: relative;
    background-size: 100% auto;
    cursor: pointer;
    border-radius: 9999px;
}
#header .panel-v1 .btn-close::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 0.2rem;
    height: 0.2rem;
    background: url(../images/sty1_home/btn_close.png) no-repeat center;
    background-size: 100% auto;
    cursor: pointer;
}

#header .header-center .container {
    display: flex;
}

#header .header-center .container .block {
    margin: 0.1rem 0.5rem 0 0.5rem;
    color: #a09aae;
    text-decoration: none;
}

#header .header-center .container .blockactive {
    margin: 0.1rem 0.5rem 0 0.5rem;
    color: white;
    font-size: 0.25rem;
    font-weight: bold;
    text-decoration: underline;
    text-underline-offset: 0.22rem; /* 底線與文字距離增加6px，可自行調整數值 */
    text-decoration-thickness: 0.03rem; /* 調整底線粗細 */
}

#header .header-right {
    cursor: pointer;
    margin-right: 0.2rem;
}

#header .header-right .new {
    display: block;
    position: relative;
}
#header .header-right .icon img {
    width: 70%;
    height: auto;
}

#header .header-right .new .circle {
    position: absolute;
    top: -0.05rem;
    right: -0.05rem;
    width: 0.15rem;
    height: 0.15rem;
    background: red;
    border-radius: 9999px;
}
#header .header-right .new img {
    width: 0.5rem;
    vertical-align: middle;
}
#header .history-gstore-filter {
    position: absolute;
    right: 0;
    top: 100%;
    border: 0.05rem solid #5dc7d9;
    background: #0c919d;
    border-radius: 0.1rem;
    transform-origin: center top;
    transform: scaleY(0);
    transition: 0.3s;
    z-index: 1;
    height: 8rem;
    overflow: auto;
}
#header .history-gstore-filter::-webkit-scrollbar {
    width: 3px;
}
#header .history-gstore-filter::-webkit-scrollbar-thumb {
    background: #5dc7d9;
}
#header .history-gstore-filter::-webkit-scrollbar-track {
    background-color: transparent;
}
#header .history-gstore-filter.show {
    transform: scaleY(1);
}
#header .history-gstore-filter.show li {
    opacity: 1;
}
#header .history-gstore-filter li {
    border-bottom: 0.03rem solid #5dc7d9;
    opacity: 0;
    transition: 0.3s;
}
#header .history-gstore-filter li:last-child {
    border-bottom: 0;
}
#header .history-gstore-filter li a {
    padding: 0.2rem 0.5rem;
    display: block;
    text-align: center;
    text-decoration: none;
    color: #ffffff;
    font-weight: 700;
}
#header .group-title {
    display: flex;
    justify-content: center;
}
#header .group-title .title {
    margin: 0;
}
#header .group-title .title.active {
    padding-bottom: 0.08rem;
    border-bottom: 0.03rem solid #55b7c8;
}

#header .group-title .title.has-ml {
    margin-left: 0.8rem;
}

#header .group-title .title a {
    text-decoration: none;
    color: #84a0a6;
    font-size: 0.26rem;
}
#header .group-title .title.active a {
    color: white;
}

/*footer*/

#footer {
    display: flex;
    position: fixed;
    bottom: 0;
    z-index: 50;
    /*	background:linear-gradient(to bottom, #2b6c84, #1c4152);*/
    max-width: 500px;
    width: 100%;
    color: #eaecef;
    border-image-source: url("../images/live/footer-background.png");
    border-image-repeat: stretch;
    border-image-slice: 53 68 55 68 fill;
    border-image-width: 1rem;

    /*
	border-radius: 0.5rem 0.5rem 0 0;
	box-shadow: inset 0rem 0.05rem 0.04rem rgb(217,217,217,0.5);
	mask: radial-gradient(circle at center 0, transparent 0.5rem, black 0.5rem);
*/
}
#footer.ios {
    border-image-slice: 68 68 35 68 fill;
}

.footer-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}

/*
#footer::before{
	content: '';
    position: absolute;
    left: 50%;
    top: 0;
    transform: translate(-45%, -82%) scaleX(1.2);
    width: 0.9rem;
    height: 0.4rem;
    border-radius: 1rem 1rem 0 0;
    background: #216f7c;
    border: 0.05rem solid rgb(217, 217, 217, 0.5);
    border-bottom-color: #216f7c;
}
*/

#footer .btn {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    flex: 1;
    cursor: pointer;
    text-align: center;
    margin: 0.12rem 0 0.05rem;
    z-index: 11;
}
#footer.ios .btn {
    margin-bottom: 0.26rem;
}

#footer .btn.login-or-mem-center {
    position: relative;
}

#footer .btn.login-or-mem-center .circle {
    position: absolute;
    top: -0.1rem;
    right: 0.4rem;
    width: 0.2rem;
    height: 0.2rem;
    background: red;
    border-radius: 9999px;
}

#footer .btn .icon {
    width: 30%;
    margin: 0 auto;
}
#footer .btn .icon img {
    width: 100%;
    vertical-align: middle;
}

#footer .discount .icon {
    /*	width: 35%;*/
}

#footer .open-or-live .icon {
    width: 32%;
}

/*
#footer .home{
	position: relative;
	justify-content: flex-end;
}
*/
#footer .bc-live {
    justify-content: flex-end;
}
#footer .bc-live .icon {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top: -48%;
    width: 1rem;
    height: 1rem;
    border-radius: 999px;
    background: linear-gradient(to bottom, #fbe5fc, #fbe5fc);
    box-shadow: 0 0 0.1rem 0.02rem #e85ef4;
    padding: 0.08rem;
}
#footer.ios .bc-live .icon {
    top: -44%;
}
#footer .bc-live .icon .bg {
    background: #df45bf;

    box-shadow: inset 0 0.03rem 0.03rem rgba(0, 0, 0, 0.4),
        inset 0 -0.03rem 0.03rem #f94cb6;
    width: 100%;
    height: 100%;
    border-radius: 999px;
    display: flex;
    justify-content: center;
    align-items: center;
}
#footer .bc-live .icon .bg .triangle {
    width: 0.4rem;
    margin: 0.05rem 0 0 0.1rem;
}
#footer .btn .txt {
    padding-top: 0.05rem;
    font-size: 0.2rem;
}

.btn.active .txt {
    color: white !important; /* active 狀態變白 */
}

.icon img {
    display: none;
}

/* 讓 bc-live 按鈕裡的圖片顯示 */
/* 三角形圖標 */
.btn.bc-live .icon img {
    display: inline;
}

.btn.active .img-bright {
    display: inline;
}
.btn:not(.active) .img-dark {
    display: inline;
}
